apiVersion: v1
kind: Service
metadata:
  annotations:
    cloud.google.com/neg: '{"ingress":true}'
  finalizers:
  - service.kubernetes.io/load-balancer-cleanup
  name: finance-management-service-lb
  namespace: develop
spec:
  allocateLoadBalancerNodePorts: true
  clusterIP: 10.22.22.233
  clusterIPs:
  - 10.22.22.233
  externalTrafficPolicy: Cluster
  internalTrafficPolicy: Cluster
  ipFamilies:
  - IPv4
  ipFamilyPolicy: SingleStack
  ports:
  - nodePort: 31995
    port: 80
    protocol: TCP
    targetPort: 8080
  selector:
    component: finance-management-mcs
  sessionAffinity: None
  type: LoadBalancer
status:
  loadBalancer:
    ingress:
    - ip: 192.158.29.214
